#ifdef MEDIA631_A31E_A31M_A33M_A35E_A35M_SU1E
/* 32 byte long fake code (never executed) */
        asm {
                        link    a6,#0
                        move.w  8(a6),d0
                        cmp.w   10(a6),d0
                        ble.s   @Tloc_1FD4A
                        movea.w 10(a6),a0
                        move.l  a0,d0
                        bra.s   @Tloc_1FD4E
                @Tloc_1FD4A:
                        move.w  8(a6),d0
                @Tloc_1FD4E:
                        unlk    a6
                        rts
        }
#endif
